•   
  • 1
  • 123
  • 124
  • 125(current)
  • 126
  • 127
  • 187
  •   
  Thread Closed
v17 LibreELEC Testbuilds for x86_64 (Kodi 17.0)
Not sure if these builds are going to be any different with your RX460, but once you've booted into 7.90.005 (xorg error or not) you should be able to use ssh or samba to copy in one of these test builds and reboot.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
@Milhouse

I have quite the same problem with 3D.
TV is not switching to 3D mode.

So it could be a problem of kodi giving wrong information to the driver or the driver itself.
Or the TV itself but it is HDMI 1.4a or b standard.

How can I support to find the problem?
Log files of playing a 3D file would be helpful?
(2016-09-08, 18:02)Milhouse Wrote: Not sure if these builds are going to be any different with your RX460, but once you've booted into 7.90.005 (xorg error or not) you should be able to use ssh or samba to copy in one of these test builds and reboot.

If I am getting the xorg error how would I enable ssh as I thought it needs enabling from within kodi. I was hoping if I could get into ssh maybe I could install the Linux drivers for my rx460 ,manually. Would it be the Ubuntu v14 or 16 that I would need to use if I got that far?
I have two issues appearing:

1) In TV Shows, I cannot enable subtitles as default for all media. The next episode I try always has subs disabled. It seems to work with Movies though.

2) In TV Shows, at least with my 10-bit HEVC encoded files don't have "Auto" in the deinterlacing settings. The files are encoded as progressive so I'd really like to use Auto instead of setting Off as default.

Debug log here: http://pastebin.com/XnZ5H6VB
(2016-09-08, 19:31)madmarkym Wrote: If I am getting the xorg error how would I enable ssh as I thought it needs enabling from within kodi. I was hoping if I could get into ssh maybe I could install the Linux drivers for my rx460 ,manually. Would it be the Ubuntu v14 or 16 that I would need to use if I got that far?

Add "ssh" to the end of your kernel config in syslinux.cfg or extlinux.cfg to enable ssh. Samba should be enabled by default (if not, that's a cock up). You won't be able to install any drivers.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
(2016-09-08, 20:10)Boulder Wrote: I have two issues appearing:

1) In TV Shows, I cannot enable subtitles as default for all media. The next episode I try always has subs disabled. It seems to work with Movies though.

2) In TV Shows, at least with my 10-bit HEVC encoded files don't have "Auto" in the deinterlacing settings. The files are encoded as progressive so I'd really like to use Auto instead of setting Off as default.

Debug log here: http://pastebin.com/XnZ5H6VB

Auto is gone. It won't come back. And deinterlacing is not enabled anymore for progressive content. The method you see is most likely yadif 1:-1:1 which does absolutely nothing for progressive content.
First decide what functions / features you expect from a system. Then decide for the hardware. Don't waste your money on crap.
(2016-09-08, 20:10)Milhouse Wrote:
(2016-09-08, 19:31)madmarkym Wrote: If I am getting the xorg error how would I enable ssh as I thought it needs enabling from within kodi. I was hoping if I could get into ssh maybe I could install the Linux drivers for my rx460 ,manually. Would it be the Ubuntu v14 or 16 that I would need to use if I got that far?

Add "ssh" to the end of your kernel config in syslinux.cfg or extlinux.cfg to enable ssh. Samba should be enabled by default (if not, that's a cock up). You won't be able to install any drivers.

I managed to install the latest update, but unfortunately the xorg error remains, so it looks like this graphics card is useless for the time being.
New LibreELEC.tv Krypton build #0908: Generic
(Supercedes previous build)

Code:
# uname -a
Linux NUC 4.7.3 #1 SMP Fri Sep 9 04:16:20 BST 2016 x86_64 GNU/Linux

# lsb_release
LibreELEC (Milhouse) - Version: devel-20160909041503-#0908-g3c47494 [Build #0908]

Based on tip of LibreELEC.tv master (3c474944, changelog) and tip of XBMC master (138de509, changelog) with the following modifications: Build Highlights:
  1. More cmake fixes
  2. AE: make sure not to feed data into tempfilter after it got drained
  3. Revert "AE: change usage of swr_set_compensation" - fixes http://trac.kodi.tv/ticket/16887
  4. xf86-video-amdgpu: Bump to latest master, update with RX460 and other hardware support (commits)
Build Details:
  1. LibreELEC.tv:
    • packages/linux: Correctly copy Amlogic device tree binary (PR:697, 1 commit, 1 file changed)
    • system-tools: mrxvt: set terminal type to "xterm" (PR:707, 1 commit, 2 files changed)
    • system-tools: fix hddtemp (PR:706, 1 commit, 1 file changed)
    • linux: update to linux-4.7.3 (PR:710, 4 commits, 32 files changed)
    • Rsyslog: add first run wizard configuration menu (PR:712, 1 commit, 4 files changed)
    • aarch64: define CPU extensions project-wise (PR:705, 1 commit, 3 files changed)
    • system-tools: optional start mrxvt from kodi (#708) (3c474944)
  2. XBMC:
    • [cmake] Respect ENABLE_UPNP option (PR:10427, 2 commits, 5 files changed)
    • [cmake] xslt is optional (PR:10423, 1 commit, 1 file changed)
    • [autotools] Add missing APP_DATA_DIR in configure.ac (PR:10426, 1 commit, 1 file changed)
    • Added: option to pass cookies to ffmpeg connection (PR:10430, 1 commit, 1 file changed)
    • AE: make sure not to feed data into tempfilter after it got drained (PR:10425, 2 commits, 2 files changed)
    • remove window type, id and zorder defenitions (PR:10428, 1 commit, 8 files changed)
    • Revert "AE: change usage of swr_set_compensation" (PR:10435, 1 commit, 2 files changed)
    • [droid] Drop RK specific code and fix cmake AML building (PR:10417, 2 commits, 6 files changed)
    • fixed: remove accidentially added Makefile.in from header list (PR:10434, 1 commit, 1 file changed)
    • [Estuary] spaces to tabs (PR:10439, 1 commit, 3 files changed)
    • Gl: drop finishPipeline (PR:10436, 1 commit, 4 files changed)
    • [cmake] Don't allow undefined symbols in shared libraries (PR:10422, 2 commits, 3 files changed)
    • [estuary] Avoid empty variables (PR:10392, 1 commit, 1 file changed)
    • Add a numeric field type that doesn't need casting (PR:10369, 1 commit, 5 files changed)
  3. inputstream.mpd:
  4. Additional commits/pull requests/changes not yet merged upstream:
    • Added: [pkg] patch: xf86-video-amdgpu: Latest commits (6a1ba04) adding Polaris 10 & 11 support (xf86-video-amdgpu)
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
(2016-09-08, 22:34)madmarkym Wrote: I managed to install the latest update, but unfortunately the xorg error remains, so it looks like this graphics card is useless for the time being.

Try build #0908, this includes updated AMD GPU support (including Polaris 10 & 11).
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
(2016-09-08, 17:48)madmarkym Wrote: I attempted to install LE 7.90.005 which I needed as a base install before I could add the latest Milhouse update.
The problem was that it would not recognize my graphics card and I got the error 'failed to start xorg'
I am using a Radeon RX460.

(2016-09-08, 22:34)madmarkym Wrote:
(2016-09-08, 20:10)Milhouse Wrote:
(2016-09-08, 19:31)madmarkym Wrote: If I am getting the xorg error how would I enable ssh as I thought it needs enabling from within kodi. I was hoping if I could get into ssh maybe I could install the Linux drivers for my rx460 ,manually. Would it be the Ubuntu v14 or 16 that I would need to use if I got that far?

Add "ssh" to the end of your kernel config in syslinux.cfg or extlinux.cfg to enable ssh. Samba should be enabled by default (if not, that's a cock up). You won't be able to install any drivers.

I managed to install the latest update, but unfortunately the xorg error remains, so it looks like this graphics card is useless for the time being.

Exactly the same problem here. RX460, xorg failing to start (latest update)
I wonder, may be we should start a first install with the latest update ? (not sur if would change something ?)
i'll try the #0908 too Smile
@alxtr1bal: Include [pkg] patch: xf86-video-amdgpu: Latest commits (6a1ba04) adding Polaris 10 & 11 support (xf86-video-amdgpu) <- such commits are highly relevant for you.

Next time, please gather logfiles. Xorg.0.log and dmesg | pastebinit

With these we can file bugs at bugs.freedesktop.org so that this gets fixed. It won't happen magically.
First decide what functions / features you expect from a system. Then decide for the hardware. Don't waste your money on crap.
(2016-09-09, 07:51)fritsch Wrote: @alxtr1bal: Include [pkg] patch: xf86-video-amdgpu: Latest commits (6a1ba04) adding Polaris 10 & 11 support (xf86-video-amdgpu) <- such commits are highly relevant for you.

Next time, please gather logfiles. Xorg.0.log and dmesg | pastebinit

With these we can file bugs at bugs.freedesktop.org so that this gets fixed. It won't happen magically.

Ok, last update not working :

Xorg log : http://sprunge.us/VcJK
dmesg : http://sprunge.us/XcBW

here's what i did to install :
First , installed the 7.90.005, with the processor GPU as primary.
Then , put the latest update in /Updates, change the primary video card as the RX 460, and boot.
Update is going ok, reboot, and then the Xorg won't start.

Not sure if this is the right way...
Tested an additional scenario, regarding the weird 3D-behaviour.
Connected my Win10 Laptop via HDMI to the TV played the 3D-file in Kodi-Windows-Version.
Same result. 3D not working.

So, it seems to be Kodi-related and not LE-related.
(2016-09-09, 05:41)Milhouse Wrote:
(2016-09-08, 22:34)madmarkym Wrote: I managed to install the latest update, but unfortunately the xorg error remains, so it looks like this graphics card is useless for the time being.

Try build #0908, this includes updated AMD GPU support (including Polaris 10 & 11).

Thanks for the update, unfortunately though I am also still getting the xorg error after updating to build #0908 from my rx460 graphics card.
Here is my log file there but there was no xorg log file in the /var/log folder
dmesg log - http://sprunge.us/BMcB
Cheers
  •   
  • 1
  • 123
  • 124
  • 125(current)
  • 126
  • 127
  • 187
  •   
  Thread Closed
 
Thread Rating:
  • 11 Vote(s) - 3.91 Average



Logout Mark Read Team Forum Stats Members Help
LibreELEC Testbuilds for x86_64 (Kodi 17.0)3.9111